%define name       drivel
%define version    0.9.3
%define release    1
%define prefix     /usr
%define sysconfdir /etc

# This stuff makes things install into the directories that LFS wants.
# Ugly, and I don't know why rpm doesn't put them in the right places,
# but whatever.
%{expand:%%define share %(if [ -d %{prefix}/share/man ]; then echo /share ; else echo %%{nil} ; fi)}
%ifos linux
%define CONFIG_FLAGS --prefix=%prefix --infodir='%{prefix}%{share}/info' --mandir='%{prefix}%{share}/man'
%else
%define CONFIG_FLAGS --prefix=%prefix
%endif

Summary:    A LiveJournal client for GNOME
Name:       %{name}
Version:    %{version}
Release:    %{release}
Epoch:      1
License:    GPL
Group:      Applications
Vendor:     Dropline Systems
Url:        http://www.dropline.net/drivel
Source:     %{name}-%{version}.tar.bz2
Packager:   Todd Kulesza <todd@dropline.net>
BuildRoot:  /var/tmp/%{name}-%{version}-root
Requires:   gtk2 >= 2.0.0 
Requires:   curl >= 7.10.0
Prefix:     %{prefix}

%description
Drivel is an advanced LiveJournal client for the GNOME desktop.  While 
maintaining a full set of features, it had been designed with usability 
in mind, and presents an elegant user interface.

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure %{CONFIG_FLAGS}
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi;
make DESTDIR=$RPM_BUILD_ROOT prefix=%{prefix} sysconfdir=%{sysconfdir} install

%files
%defattr(-, root, root)

%doc README TODO COPYING ChangeLog

%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*

%clean
rm -r $RPM_BUILD_ROOT
